Summary: SME Server PrintAnalyzer module
Name: smeserver-PrintAnalyzer
Version: 0.0.1
Release: 01
License: GPL
Group: Applications/Publishing
Source: %{name}-%{version}.tar.gz
Packager: Robert van den Aker <robert2@dds.nl>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: e-smith-base, e-smith-lib, /usr/bin/PrintAnalyzer
Requires: smeserver-cups
BuildArch: noarch
BuildRequires: e-smith-devtools
AutoReqProv: no

%description
PrintAnalyzer module for SME Server.
Various scripts that use the PrintAnalyzer tool for generating statistics from
the CUPS page_log file.

%prep
%setup -q

%build
LEXICONS=$(find root/etc/e-smith/locale/*/etc/e-smith/web/functions \
	-type f)
for lexicon in $LEXICONS
do
    /sbin/e-smith/validate-lexicon $lexicon
done
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-%{release}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)

%changelog
* Tue Dec  6 2005 Robert van den Aker <robert2@dds.nl>
- [0.0.1-01]
- Initial release based on e-smith-PrintAnalyzer. Includes French translation
  by Fabien Illide, Spanish translation by Jaime Nebrera Herrera.
